Summary:	A simple, fast, and flexible HTTP download tool 
Name:		fetch
Release:	1
Version:	1.0
Copyright:	LGPL
Group:		Applications/Internet
Source:		http://cs.nmu.edu/~lhanson/fetch/dls/fetch-1.0.tar.gz
Packager:	Lyle Hanson (lhanson@cs.nmu.edu)
URL:		http://cs.nmu.edu/~lhanson/fetch/
BuildRoot:	/var/tmp/fetch-%{version}-root
Prefix:		/usr
requires:	http_fetcher

%description
fetch is a simple, fast, and flexible HTTP download tool built on the
HTTP Fetcher library.

fetch allows you to customize your request by changing the User Agent and
Referer presented to the webserver.  This is useful for emulating a certain
browser, among other creative things.  You don't even have to save the
requested file to disk; fetch can simply generate a hit on the webserver.

Install fetch if you want to download files or smiply register hits via HTTP,
and would like the ability to customize the HTTP request.


# Unpacks the source tarball from SOURCES into BUILD
# Apply any patches here
%prep
%setup

# Configures, then makes the package
%build
%{configure}
make

# Removes BuildRoot, to get rid of old files, then recreates it.
%install
 rm -rf $RPM_BUILD_ROOT
%{makeinstall}

# Removes BuildRoot
%clean
 rm -rf $RPM_BUILD_ROOT

# Files included in the RPM.  Taken from $RPM_BUILD_ROOT.  Wildcards are
# accepted.
%files
 %defattr(-, root, root)
 /usr/bin/fetch
 /usr/share/man/man1/fetch.1.gz
 %doc LICENSE README ChangeLog

# Change this!!
%changelog
* Wed Aug 1 2001 Lyle Hanson <lhanson@cs.nmu.edu>
- Initial RPM release of fetch (w/ -rpath fix)
